Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface ExtensibilityElement

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, WSDLElement

All Known Subinterfaces:
  HTTPAddress, HTTPBinding, HTTPOperation, HTTPUrlEncoded, HTTPUrlReplacement, MIMEContent, MIMEMimeXml, MIMEMultipartRelated, MIMEPart, SOAPAddress, SOAPBinding, SOAPBody, SOAPFault, SOAPHeader, SOAPHeaderBase, SOAPHeaderFault, SOAPOperation, UnknownExtensibilityElement, XSDSchemaExtensibilityElement

    public interface ExtensibilityElement

extends WSDLElement, javax.wsdl.extensions.ExtensibilityElement

A representation of the model object 'Extensibility Element'.

Since:
  1.0
See Also:
  `WSDLPackage.getExtensibilityElement()`

Method Summary
`javax.xml.namespace.QName` | `getElementType()` Returns the value of the 'Element Type' attribute
`boolean` | `isRequired()` Returns the value of the 'Required' attribute
`void` | `setElementType(javax.xml.namespace.QName value)` Sets the value of the '`Element Type`' attribute
`void` | `setRequired(boolean value)` Sets the value of the '`Required`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### isRequired

    boolean isRequired()

  Returns the value of the 'Required' attribute.

  If the meaning of the 'Required' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Required' attribute.
  See Also:
    `setRequired(boolean)`, `WSDLPackage.getExtensibilityElement_Required()`

### setRequired

    void setRequired(boolean value)

  Sets the value of the '`Required`' attribute.

  Parameters:
    `value` - the new value of the 'Required' attribute.
  See Also:
    `isRequired()`

### getElementType

    javax.xml.namespace.QName getElementType()

  Returns the value of the 'Element Type' attribute.

  If the meaning of the 'Element Type' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`
  Returns:
    the value of the 'Element Type' attribute.
  See Also:
    `setElementType(QName)`, `WSDLPackage.getExtensibilityElement_ElementType()`

### setElementType

    void setElementType(javax.xml.namespace.QName value)

  Sets the value of the '`Element Type`' attribute.

  Specified by:
    `setElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`
  Parameters:
    `value` - the new value of the 'Element Type' attribute.
  See Also:
    `getElementType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD